out_Modbus Class Reference

`#include <out_modbus.h>`

Inheritance diagram for out_Modbus:

## Public Member Functions

| out_Modbus (Item *_item)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | getChanType () override
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
| Control unified Modbus item More...
int | getDefaultStorageType ()
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Protected Member Functions

bool | getConfig ()
int | findRegister (int registerNum, int posInBuffer, int regType)
void | pollModbus (aJsonObject *reg, int regType)
Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Protected Attributes

mbPersistent * | store
Protected Attributes inherited from abstractOut
Item * | item

## Constructor & Destructor Documentation

## out_Modbus()

out_Modbus::out_Modbus | ( | Item * | _item | ) |

inline

## Member Function Documentation

## Ctrl()

int out_Modbus::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |

overridevirtual

Control unified Modbus item

Implements abstractOut.

## findRegister()

int out_Modbus::findRegister | ( | int | registerNum,
|  | int | posInBuffer,
|  | int | regType
| ) |  |

protected

## getChanType()

int out_Modbus::getChanType | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## getConfig()

bool out_Modbus::getConfig | ( |  | ) |

protected

## getDefaultStorageType()

int out_Modbus::getDefaultStorageType | ( |  | ) |

inlinevirtual

Reimplemented from abstractOut.

## Poll()

int out_Modbus::Poll | ( | short | cause | ) |

overridevirtual

Implements abstractCh.

## pollModbus()

void out_Modbus::pollModbus | ( | aJsonObject * | reg,
|  | int | regType
| ) |  |

protected

## Setup()

int out_Modbus::Setup | ( |  | ) |

overridevirtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## Status()

int out_Modbus::Status | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Stop()

int out_Modbus::Stop | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Member Data Documentation

## store

mbPersistent* out_Modbus::store

protected

The documentation for this class was generated from the following files:

- modules/out_modbus.h
- modules/out_modbus.cpp